# source("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Figure1.R")
## Programme to plot impulse response functions associated with govt spending
## Clear previous information.

rm(list=ls(all=TRUE))

## Load HPfilter: 
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/hpfilter.R")

## Load Monash graphs:
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/monash/R/setps.R")

# Downloaded fixed exchange rate data. 
yout_fix = read.table('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/yout_fixed_ng', sep=",")

# Download flexible exchange rate data
xout_flex = read.table('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/yout_flex', sep=",")
yn_flex = read.table('/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/yn_flex', sep=",")
yout_flex = xout_flex + yn_flex

yout_fix=data.matrix(yout_fix)
yout_flex = data.matrix(yout_flex)

savefig("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/MS11-298Fig1", type="pdf")
plot(yout_fix[3,], type="l", ylab="Output, log deviation from trend", xlab="periods since shock")
lines(yout_flex[3,], lty=2)
legend("topright", c("fixed", "flexible"), lty=c(1,2), col=c("BLACK", "BLACK"))
dev.off()

## Load packages:
# library(foreign)
# library(MASS)