# source("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Figure3.R")
## Programme to examine primary economic unit, size = 1 data
## Clear previous information.

rm(list=ls(all=TRUE))

## Load HPfilter: 
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/hpfilter.R")

## Load Monash graphs:
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/monash/R/setps.R")

cfdata = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Baseline/cf.txt", sep=",")

x = t(cfdata)

# shock order:
# ia = 1;
# iystar = 2;
# ig = 3;
# igstar = 4;
# ipstar = 5;
# ie = 6;

savefig("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/MS11-298Fig3", type="pdf")
split.screen(c(1,2))
screen(1)
plot(1925:1938, x[,2], type="l", xlab="year", ylab="log deviation from trend", ylim=c(-0.06, 0.06))
lines(1925:1938, x[,4], lty= 2)
lines(1925:1938, x[,5], lty= 3)
text(1926, 0.021, "y*", cex=0.8)
text(1932.5, 0.005, "g*", cex=0.8)
text(1932, -0.008, "p*", cex=0.8)

screen(2)
plot(1925:1938, x[,1], type="l", xlab="year", ylab="log deviation from trend", ylim=c(-0.06, 0.06))
lines(1925:1938, x[,3], lty= 2)
lines(1925:1938, x[,6], lty= 3)
text(1928, 0.036, "a", cex=0.8)
text(1932, -0.012, "g", cex=0.8)
text(1932, 0.02, "e", cex=0.8)
close.screen(all=TRUE)
dev.off()

## Load packages:
# library(foreign)
# library(MASS)