# source("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Figure5.R")
## Programme to examine role of government policy.
## Clear previous information.

rm(list=ls(all=TRUE))

## Load HPfilter: 
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/hpfilter.R")

## Load Monash graphs:
source("/Users/lawrenceuren/Documents/Research/Miscellaneous/Computing/R/monash/R/setps.R")

data_base = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/Baseline/endo_r.txt", sep=",")
data_sg0 = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/zerog/endo_r.txt", sep=",")
data_hg = read.table("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/largeg/endo_r.txt", sep=",")

y_base = data.matrix(data_base)
y_zerog = data.matrix(data_sg0)
y_largeg = data.matrix(data_hg)

# Plot data. 
savefig("/Users/lawrenceuren/Dropbox/Depression/JMCB_GD/Code/Output/MS11-298Fig5", type="pdf")
plot(1925:1938, y_base[2,], type="l", ylim=c(-0.08, 0.06), ylab="log deviation from trend", xlab="year")
lines(1925:1938, y_zerog[2, ], lty=2)
lines(1925:1938, y_largeg[2,], lty = 3)
legend("bottomleft", c("baseline", "zero g shocks", "large govt"), lty=c(1,2,3), col=c("BLACK", "BLACK", "BLACK"))
dev.off()
## Load packages:
# library(foreign)
# library(MASS)